Skip to content
Get started

Delete Watchlist Item

DELETE/v1/watchlists/{watchlist_id}/items/{item_id}

Delete an instrument from a watchlist

Path ParametersExpand Collapse
watchlist_id: string
item_id: string

Delete Watchlist Item

curl https://api.clearstreet.com/v1/watchlists/$WATCHLIST_ID/items/$ITEM_ID \
    -X DELETE \
    -H "Authorization: Bearer $API_KEY"
{
  "data": null,
  "metadata": {
    "request_id": "5b0709e3-5868-4116-9a84-26f1b8c30503"
  }
}
{
  "error": {
    "code": 404,
    "message": "Some requested entity was not found"
  },
  "metadata": {
    "request_id": "8462e079-739c-421b-b2d2-35cf007b4fc7"
  }
}
Returns Examples
{
  "data": null,
  "metadata": {
    "request_id": "5b0709e3-5868-4116-9a84-26f1b8c30503"
  }
}
{
  "error": {
    "code": 404,
    "message": "Some requested entity was not found"
  },
  "metadata": {
    "request_id": "8462e079-739c-421b-b2d2-35cf007b4fc7"
  }
}